using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record DiskInfoConfiguration(int Bars,
                                    string[] Classes,
                                    string Destination,
                                    decimal Max)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, DiskInfoConfigurationSourceGenerationContext.Default.DiskInfoConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(DiskInfoConfiguration))]
internal partial class DiskInfoConfigurationSourceGenerationContext : JsonSerializerContext
{
}